package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Gpi;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 
 */
@Mapper
public interface GpiMapper {

    Gpi selectOne(@Param("vo") Gpi gpi);

    int insert(Gpi record);

    int insertSelective(Gpi record);

    int updateByPrimaryKeySelective(Gpi record);

    int updateByPrimaryKey(Gpi record);

    int deleteByPrimaryKey(Gpi record);

    int deleteByIds(Collection<Object> collection);

    Gpi selectByPrimaryKey(Gpi record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Gpi> dyncRead(Map<String,Object> dyncMap);

    Gpi selectByTrninr(@Param("trninr") String trninr);
}
